执行centos2anolis.py时提示 Anolis OS does not provide i686 packages

2022年8月22日 490点热度 0人点赞 0条评论

问题:

在迁移Centos7到Anolis OS 7过程中出现如下问题:

当执行 centos2anolis.py 迁移脚本过程中提示:

centos2anolis.py
====== Start ======
Checking if the tool is executed by root user
Get current OS version.
Version is 7.9
Checking the version of Anolis OS
Switch to Anolis OS 7.9
Checking required packages
Checking i686 packages
Anolis OS does not provide i686 packages, please remove them before migration.
Installed i686 packages:
libgcc-4.8.5-44.el7.i686
libstdc++-4.8.5-44.el7.i686
glibc-2.17-325.el7_9.i686
nss-softokn-freebl-3.67.0-3.el7_9.i686

Anolis OS does not provide i686 packages, please remove them before migration.

上面的意思就是说Anolis系统不会提供i686的包,需要先移除后再进行迁移。

解决方式:

卸载i686的包就可以了

在上面的提示中有4个i686的包,我们只需要将他们一一移除即可,操作命令如下

yum remove -y libgcc-4.8.5-44.el7.i686
yum remove -y libstdc++-4.8.5-44.el7.i686
yum remove -y glibc-2.17-325.el7_9.i686
yum remove -y nss-softokn-freebl-3.67.0-3.el7_9.i686

暗暗

这个人很懒,什么都没留下

文章评论